## cython 0.9.6.10b-1osso2

=== debian/changelog ===
cython (0.9.6.10b-1osso2) unstable; urgency=low

  * updating to version 0.9.6.12

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Tue, 26 Feb 2008 15:58:22 -0300

cython (0.9.6.10b-1osso1) unstable; urgency=low

  * updating to version 0.9.6.10b

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 16 Jan 2008 19:19:57 -0300

cython (0.9.6.8-1osso1) unstable; urgency=low

  * updating to version 0.9.6.8

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed,  7 Nov 2007 09:46:40 -0300

cython (0.9.6.7-1osso1) unstable; urgency=low

  * first port - Cython for Maemo

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Mon, 29 Oct 2007 16:33:48 -0300
