## cython 0.13

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 clean:
 	@echo Cleaning Source
 	@rm -fr build
-	@rm -f *.pyc */*.pyc */*/*.pyc 
+	@rm -f *.py[co] */*.py[co] */*/*.py[co] */*/*/*.py[co]
 	@rm -f *.so */*.so */*/*.so 
 	@rm -f *.pyd */*.pyd */*/*.pyd 
 	@rm -f *~ */*~ */*/*~
@@ -38,9 +38,5 @@
 test:	testclean
 	${PYTHON} runtests.py -vv
 
-test3:	testclean
-	${PYTHON} runtests.py --no-cleanup
-	python3.0 runtests.py -vv --no-cython
-
 s5:
 	$(MAKE) -C Doc/s5 slides
