=== debian/changelog ===
cython (0.14.1-6) unstable; urgency=low

  * Team upload.
  * Un-version python in shebangs with sed. (Closes: #577143)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2011 10:21:06 +0200

cython (0.14.1-5) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-additional-fix-and-test-for-ticket-650.patch (Closes: #620859)
    - 0001-Python-3-fix-NumPy-support.patch to address some of the numpy 1.5
      compatibility issues
  * Temporarily skipped 2 doctests triggered by numpy 1.5 incompatibility
    which is on upstream's TODO: patch deb_tempdisable_numpy_doctests

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 11:07:21 -0400

cython (0.14.1-4) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
      (Closes: #613989)
    - 0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
      (Closes: #613993)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 17:21:26 -0500

cython (0.14.1-3) unstable; urgency=low

  * Remove python-profiler from Build-Depends: it is non-free

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 09:09:13 -0500

cython (0.14.1-2) unstable; urgency=low

  * Run unittests against default Python version during build
    - Adopted 0001-fix-makefile-for-embed-testcase.patch from upstream
      for embedded test to perform correctly
  * Added numpy and profiler into Build-Depends to facilitate all tests above

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Feb 2011 13:35:52 -0500

cython (0.14.1-1) unstable; urgency=low

  * Reincarnating uploads to unstable
  * Fresh upstream release
  * debian/control: added python-dev into Suggests (Closes: #545809)
  * Standards-Version bumped to 3.9.1 (no change needed)
  * Use help2man to generate a reasonable manpage (Closes: #607098)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 Feb 2011 09:41:12 -0500

cython (0.13-1) experimental; urgency=low

  * New upstream release
  * debian/control: added myself to Uploaders
  * debian/rules: fetch upstream ReleaseNotes to serve a changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Sep 2010 14:28:34 -0400
