=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: cdbs, debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg
-Standards-Version: 3.8.3
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg, help2man (>= 1.37.1~), python-numpy
+Standards-Version: 3.9.1
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cython/trunk/
@@ -13,9 +13,7 @@
 Package: cython
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: gcc
-Replaces: python2.5-cython (<< 0.9.8-1maemo4)
-Conflicts: python2.5-cython (<< 0.9.8-1maemo4)
+Suggests: python-dev, gcc
 XB-Python-Version: ${python:Versions}
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as
