=== debian/watch ===
version=3
http://cython.org/release/Cython-([0-9.]+)\.tar\.gz
