=== debian/changelog ===
cython (0.15.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Julien Danjou <acid@debian.org>  Tue, 22 Nov 2011 15:05:09 +0100

cython (0.15.1-1) unstable; urgency=low

  [ Nikolaus Rath ]
  * New upstream version (Closes: #637388)
    - cython --help no longer mentions -r option (Closes: #607097)
    - Compiles cleanly with Python 2.7 (Closes: #627773)
    - Fixed compile time division (Closes: #641128)
  * Dropped patches, have been incorporated upstream:
    0001-fix-makefile-for-embed-testcase.patch
    0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
    0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
    0001-additional-fix-and-test-for-ticket-650.patch
    0001-Python-3-fix-NumPy-support.patch

  [ Yaroslav Halchenko ]
  * Standards-Version bumped to 3.9.2 (no change needed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 10:35:03 -0400

cython (0.14.1-7) UNRELEASED; urgency=low

  * Fix shebang before dh_pysupport is called, to remove unnecessary
    Dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 Jun 2011 16:59:09 +0200
