## cython 0.16

=== debian/changelog ===
cython (0.16-1ubuntu1) quantal; urgency=low

  * Build with -fsigned-char as a temporary workaround to upstream's
    non-portable assumptions about char signedness on non-x86 arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 29 Jul 2012 06:20:47 -0600

cython (0.16-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Switch from cdbs to dh7
  * Change build system to dh_python2 (Closes: #677405).
    Thanks also to Julian Taylor for an alternative patch
  * Bump Standards-Version to 3.9.3

  [ Yaroslav Halchenko ]
  * "stings" typo patch, Thanks Jakub Wilk (Closes: #679359)
  * Fresh upstream release (Closes: #671070)
    - compatibile with changed __import__ in Python 3.3 (Closes: #681697)
    - required to BFS for new python-pymtp
    - dropping patches deb_tempdisable_numpy_doctests, python27-testsuite-fix.patch
    - excluding parallel tests since they fail ATM (reported/known upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Jul 2012 20:16:03 -0400

cython (0.15.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Strip CRs from upstream changelogs.

  [ Barry Warsaw ]
  * debian/patches/python27-testsuite-fix.patch:
    Fix test suite for Python 2.7 change.  Patch comes from Cython
    upstream, post 0.15.1 release.  (Closes: #651996)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Jan 2012 12:32:25 -0500
