## cython 0.17.3

=== debian/changelog ===
cython (0.17.3-1) experimental; urgency=low

  * Bugfix upstream release:
    - upstream includes all previously shipped patches
    - provides CHANGES.rst (was missing from source distribution,
      up_changes_rst patch provides a copy), so all machinery for fetching
      changelogs from wiki is removed
  * Pruning shipped underscore.js, -doc depends on libjs-underscore now

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 12:34:19 -0500

cython (0.17.2-1+bnd1) UNRELEASED; urgency=low

  * debian/patches/squeeze-dsc-patch for a non-official backport build for
    squeeze

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 15 Dec 2012 23:06:59 -0500

cython (0.17.2-1) experimental; urgency=low

  * Bugfix upstream release with post-release fixes:
    - 0001-keep-longness-when-folding-negative-integer-constant.patch
    - 0003-Fix-compiler-crash.patch
    - 0005-fix-cimport-cython-in-string-code-fragments.patch
    - 0006-fix-refnanny-code-for-del-statement-inside-of-genera.patch
    - 0001-fix-analysis-of-entry-to-be-a-weakref-typo-introduce.patch
      (Closes: #692313)
    - fix-ma-includes.patch from Julian Taylor to add platform specific
      paths (e.g. introduced with multiarch in python3.3) (Closes: #693555)
  * Boost python-dev to Recommends from Suggests for most common usage
    scenarios (Closes: #545809).  Also list python3-dev instead
    of python-dev for cython3 package.
  * Provide cython-doc package with documentation built using sphinx
    (Closes: #615932)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Dec 2012 12:28:05 -0500

cython (0.17.1-1) experimental; urgency=low

  * Bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 29 Sep 2012 19:01:53 -0400

cython (0.17-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Sep 2012 16:41:46 -0400

cython (0.17~beta4+git15-g6457431-1) experimental; urgency=low

  * New upstream pre-release snapshot
  * debian/rules:
    - assure-changelogs upon clean to don't wait for crash at the end of
      build/test due to a missing changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Aug 2012 10:33:42 -0400

cython (0.17~beta3-1) experimental; urgency=low

  * New upstream pre-release beta
    - adopted up_upstream_cache_ext_suffix

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Aug 2012 09:47:01 -0400

cython (0.17~beta1-2) experimental; urgency=low

  * Restrict actions of dh_python* helpers to corresponding cython*
    packages (otherwise cython obtains python3 shebang)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Jul 2012 15:30:25 -0400

cython (0.17~beta1-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Provide Python 3 package -- cython3 (Closes: #674073)

  [ Yaroslav Halchenko ]
  * New upstream release
    - addresses gcc 4.7 compatibility (Closes: #682652)
  * export HOME=$(CURDIR)/build to not rely on user's writable HOME
    (was triggered by some tests leading to FTBFS)
  * debian/watch
    - allow fetching beta-releases
  * debian/patches
    - dropped (upstreamed)
    - added up_upstream_cache_ext_suffix to resolve failure due to multiarch
      (see #682795 for the reason)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jul 2012 21:41:44 -0400
