## cython 0.17.4

=== debian/changelog ===
cython (0.17.4-0ubuntu1) raring; urgency=low

  * New upstream version.
    - Fixed: Garbage collection triggered during deallocation of container
      classes could lead to a double-deallocation.
  * Fix numpy test failures. LP: #1163782.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Apr 2013 11:12:10 +0200
