=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, help2man (>= 1.37.1~), python-numpy
+Build-Depends: debhelper (>= 7.0.50~),
+               python-all-dev (>= 2.6.6-3~), python-all-dbg,
+               help2man (>= 1.37.1~),
+               python-sphinx,
+               python-numpy,
+               python3-all-dev,
+               python3-all-dbg,
+               python3-numpy
 Standards-Version: 3.9.3
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
@@ -14,7 +20,7 @@
 Package: cython
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: python-dev, gcc
+Recommends: python-dev, gcc
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as
  easy as Python itself. Cython is based on the well-known Pyrex, but supports
@@ -33,7 +39,41 @@
 Section: debug
 Priority: extra
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
-Suggests: gcc
-Description: C-Extensions for Python (Debug Build of Cython)
+Description: C-Extensions for Python - debug build
  This package contains Cython libraries built against versions of
  Python configured with --pydebug.
+
+Package: cython3
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-dev, gcc
+Description: C-Extensions for Python 3
+ Cython is a language that makes writing C extensions for the Python language as
+ easy as Python itself. Cython is based on the well-known Pyrex, but supports
+ more cutting edge functionality and optimizations.
+ .
+ The Cython language is very close to the Python language, but Cython
+ additionally supports calling C functions and declaring C types on variables
+ and class attributes. This allows the compiler to generate very efficient C
+ code from Cython code.
+ .
+ This makes Cython the ideal language for wrapping for external C libraries, and
+ for fast C modules that speed up the execution of Python code.
+
+Package: cython3-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
+Description: C-Extensions for Python 3 - debug build
+ This package contains Cython libraries built against versions of
+ Python configured with --pydebug.
+
+Package: cython-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Suggests: cython
+Description: C-Extensions for Python - documentation
+ This package contains documentation for Cython.
+
